package com.example.iot_controlhost.model.net;

import com.google.gson.annotations.SerializedName;

import java.util.List;

/**
 * @Description 从服务器获得的空调列表
 * @Author DuanKaiji
 * @CreateTime 2023年12月07日 17:23:27
 */
public class AirConditionList {

    @SerializedName("Code")
    private int code;
    @SerializedName("Message")
    private String message;
    @SerializedName("Data")
    private List<DataDTO> data;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public List<DataDTO> getData() {
        return data;
    }

    public void setData(List<DataDTO> data) {
        this.data = data;
    }

    public static class DataDTO {
        @SerializedName("ID")
        private String id;
        @SerializedName("Brand")
        private String brand;
        @SerializedName("Model")
        private String model;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getBrand() {
            return brand;
        }

        public void setBrand(String brand) {
            this.brand = brand;
        }

        public String getModel() {
            return model;
        }

        public void setModel(String model) {
            this.model = model;
        }
    }
}
